using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;
using ClientCommon;


namespace 顧客分析君
{
    public partial class _112システム設定メニュー : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

        #endregion


        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _112システム設定メニュー()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド


        #endregion


        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ


        private void _112システム設定メニュー_Load(object sender, EventArgs e)
        {
            try
            {

            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_112システム設定メニュー", "_112システム設定メニュー_Load", ex);
            }
        }

        private void btn言語選択_Click(object sender, EventArgs e)
        {
            try
            {
				//if (C02業務共通処理.チェック閲覧権限(this.Text, C_画面名.言語選択.ToString()) == false)
				if (C02業務共通処理.チェック閲覧権限(this.Text, C_画面名.言語選択) == false)
				{
					return;
				}

                _106言語選択 _106言語選択 = null;
                _106言語選択 = new _106言語選択();
                _106言語選択.ShowDialog();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_112システム設定メニュー", "btn言語選択_Click", ex);
            }
        }

        private void btn各種システム設定_Click(object sender, EventArgs e)
        {
            try
            {
                //if (C02業務共通処理.チェック閲覧権限(this.Text, C_画面名.各種システム設定.ToString()) == false)
				if (C02業務共通処理.チェック閲覧権限(this.Text, C_画面名.各種システム設定) == false)
                    return;

                _104各種システム設定 _104各種システム設定 = null;
                _104各種システム設定 = new _104各種システム設定();
                C01FormCommon.画面最小サイズに変更(_104各種システム設定, false);
                _104各種システム設定.ShowDialog();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_112システム設定メニュー", "btn各種システム設定_Click", ex);
            }
        }

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_112システム設定メニュー", "btnキャンセル_Click", ex);
            }
        }

        #endregion
    }
}
